function[num,success] =   make_remez_filter()
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
num =0;
success = 1;

hndl = gcbf;

%get the handles for the filters

type_hndl =  findobj ( hndl , 'Tag' , 'fil_type');

f1_hndl = findobj ( hndl , 'Tag' , 'slider_f1');
f2_hndl = findobj ( hndl , 'Tag' , 'slider_f2');
f3_hndl = findobj ( hndl , 'Tag' , 'slider_f3');
f4_hndl = findobj ( hndl , 'Tag' , 'slider_f4');

order_hndl =  findobj ( hndl , 'Tag' , 'slider_order');


fil_type = get (type_hndl, 'UserData');

f1 = get (f1_hndl, 'UserData');
f2 = get (f2_hndl, 'UserData');
f3 = get (f3_hndl, 'UserData');
f4 = get (f4_hndl, 'UserData');

success = chk_remez_vals( fil_type , f1 , f2, f3 , f4);
if ( success == 0)
   return;
end




fil_order = floor( get (order_hndl , 'Value'));

%if ( isempty (fil_order) | (fil_order <= 2) )
%   errordlg('Please enter valid order > 2');
%   success = 0;
%   return;
%end

if ( strcmp(fil_type , 'high') | (strcmp ( fil_type , 'stop') ) )
   
   if ( mod (fil_order,2) )
      success = 0;
      errordlg ('Order cannot be odd for HPF/BRF');
      return;
   end
end

   


   
   %freq vals all perfect
   
   %group the freq into arrays
   switch (fil_type)
   case('low')
      W= [ 0 f1 f2 1];
      a = [1 1 0 0 ];
      
   case('high')
      W = [ 0 f1 f2 1];
      a = [ 0 0 1 1];
      
   case('bandpass')
      W = [ 0 f1 f2 f3 f4 1];
      a = [ 0   0 1 1 0  0];
      
   case('stop')
      W = [ 0 f1 f2 f3 f4 1];
      a = [ 1   1       0         0    1      1];
      
   end
   
   
   %num = remez ( fil_order, W , a );
   num = firpm(fil_order, W, a);
   
   
      
      
      
      

      
   
 
 
   


















