function freq_fwind_resp
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================

[B suc]  = make_fwind_filter;


if (~ suc)
   return;
end

figure(3);


data_hndl = findobj (gcbf , 'Tag' ,'push_quit');
sig_info = get( data_hndl , 'Userdata');

data = sig_info.signal.data;

%-------------------------
sig_len = length (data);
pow_2 = nextpow2(sig_len);
n_dft = 2 ^ pow_2;

F = fft ( data , n_dft) ;
des_len = floor (length(F)/2);
F = F ( 1:des_len) / max(F);
w = linspace ( 0 , 1 , des_len);


subplot(2,1,1), plot ( w , abs(F));
%------------------------------------
B_fft = fft (B,1024);
des_len = floor (length(B_fft)/2);
B_fft = B_fft( 1 : des_len) / max(B_fft);
w = linspace ( 0 ,1 ,des_len);
hold on;
plot ( w, abs(B_fft) , 'r--');
xlabel('Digital frequency');
ylabel('abs(H)');
legend('signal','filter');
hold off;
%--------------------------------


mod_data = filter ( B,1,data);
%-----------------------------------

sig_len = length (mod_data);
pow_2 = nextpow2(sig_len);
n_dft = 2 ^ pow_2;

F = fft ( mod_data , n_dft) ;
des_len = floor ( length(F)/2 );
F = F ( 1:des_len) / max(F);
w = linspace ( 0 , 1 , des_len);

subplot ( 2,1,2), plot ( w , abs(F));
xlabel('Digital frequency');
ylabel('abs(H)');

%-------------------------





