function show_kaiser
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
order_hndl = findobj(gcbf , 'Tag' , 'Slid_order');
beta_hndl = findobj(gcbf , 'Tag' , 'Slid_beta');

ord_txt_hndl = findobj(gcbf , 'Tag' , 'text_order');
beta_txt_hndl = findobj(gcbf , 'Tag' , 'text_beta');

order = get (order_hndl , 'Value');
order = floor(order);
set (ord_txt_hndl,'String',num2str(order));

beta = get (beta_hndl , 'Value');
set (beta_txt_hndl,'String',num2str(beta));


win = kaiser ( order , beta);
n = 0:order-1;

figure(2);
[f w] = freqz ( win , 1, 512 ,2 );
subplot (2,1,1),plot (n,win);
title ('Kaiser Window');
subplot (2,1,2) , plot (w , 20*log10(abs (f/f(1)+0.01)));
title ('Frequency Response');
ylabel ('Magnitude(dB)');

